Last Comment Bug 734734 - build failure at thunderbird.mdimporter on case-sensitive filesystem
: build failure at thunderbird.mdimporter on case-sensitive filesystem
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Search (show other bugs)
: 10 Branch
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
Depends on: 698702
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 04:50 PDT by Uli Link (:ul-mcamafia)
Modified: 2012-04-20 02:26 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
12+
fixed


Attachments
Make the xcode project case unambigious (2.61 KB, patch)
2012-03-11 04:50 PDT, Uli Link (:ul-mcamafia)
standard8: review-
Details | Diff | Review
Fix building on case-sensitive filesystems [esr version] (2.39 KB, patch)
2012-03-26 17:29 PDT, Uli Link (:ul-mcamafia)
standard8: review+
standard8: approval‑comm‑esr10+
Details | Diff | Review
comm-central based fix (1.24 KB, patch)
2012-03-27 02:40 PDT, Mark Banner (:standard8)
standard8: review+
Details | Diff | Review

Description Uli Link (:ul-mcamafia) 2012-03-11 04:50:45 PDT
Created attachment 604762 [details] [diff] [review]
Make the xcode project case unambigious

building the xcode project fails on a case-sensitive filesystem due to 
thunderbird and Thunderbird may different files...
Comment 1 Uli Link (:ul-mcamafia) 2012-03-11 04:55:27 PDT
discovered while buildung 10esr branch on osx 10.5.8, Xcode 3.1.4
Comment 2 Mark Banner (:standard8) 2012-03-11 06:12:20 PDT
Comment on attachment 604762 [details] [diff] [review]
Make the xcode project case unambigious

Stealing review. This looks wrong to be based on what I know of the history here, but I need to double check that first.
Comment 3 Uli Link (:ul-mcamafia) 2012-03-11 07:12:04 PDT
Fixing case should happen according to bug 698702
Comment 4 Uli Link (:ul-mcamafia) 2012-03-11 10:44:57 PDT
Here is the error output after locally backing out above patch:

    mkdir /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/Release/thunderbird.mdimporter/Contents/MacOS
    cd /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter
    setenv MACOSX_DEPLOYMENT_TARGET 10.5
    /Developer/usr/bin/gcc-4.2 -arch i386 -bundle -isysroot /Developer/SDKs/MacOSX10.5.sdk -L/Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/Release -F/Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/Release -filelist /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/TBSpotlight.build/Release/thunderbird.build/Objects-normal/i386/thunderbird.LinkFileList -mmacosx-version-min=10.5 -framework CoreFoundation -framework CoreServices -o /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/Release/thunderbird.mdimporter/Contents/MacOS/thunderbird

Touch /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/Release/thunderbird.mdimporter
    cd /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter
    /usr/bin/touch -c /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter/build/Release/thunderbird.mdimporter
** BUILD SUCCEEDED **
mkdir -p ../../../../mozilla/dist/package
/Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mozilla/config/nsinstall -L /Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mail/components/search/mdimporter "build/Release/Thunderbird.mdimporter" ../../../../mozilla/dist/package
/Mozilla/src/comm-esr10/obj-i386-apple-darwin9.8.0/mozilla/config/nsinstall: cannot access build/Release/Thunderbird.mdimporter: No such file or directory
gnumake[7]: *** [libs] Error 1
gnumake[6]: *** [libs] Error 2
gnumake[5]: *** [libs] Error 2
gnumake[4]: *** [libs_tier_platform] Error 2
gnumake[3]: *** [tier_platform] Error 2
gnumake[2]: *** [default] Error 2
gnumake[1]: *** [default] Error 2

gnumake: *** [build] Error 2
Comment 5 Mark Banner (:standard8) 2012-03-26 05:31:01 PDT
Comment on attachment 604762 [details] [diff] [review]
Make the xcode project case unambigious

This doesn't work, I end up with

DailyDebug.app/Contents/Library/Spotlight/Thunderbird.mdimporter/Contents/MacOS/Thunderbird

which would effectively revert bug 698702.

Maybe you could just change mail/components/search/mdimporter/Makefile.in two lines below where you modified it in this patch so that Thunderbird.mdimporter is referenced as lower case?
Comment 6 Uli Link (:ul-mcamafia) 2012-03-26 17:29:26 PDT
Created attachment 609549 [details] [diff] [review]
Fix building on case-sensitive filesystems [esr version]

Had to fix to lower-case thunderbird in mail/app/Makefile.in too, else the rsync fails.
So not reverting changes done in bug 698702
Comment 7 Mark Banner (:standard8) 2012-03-27 02:40:02 PDT
Created attachment 609665 [details] [diff] [review]
comm-central based fix

Thanks for the update. I've updated the patch to fix the bitrot against trunk. That seems that it will work fine.
Comment 8 Mark Banner (:standard8) 2012-03-27 02:45:19 PDT
I've checked this in for you:

http://hg.mozilla.org/comm-central/rev/db1bae7de811

We'll land this on the esr branch before the next release.
Comment 9 Mark Banner (:standard8) 2012-04-16 14:12:13 PDT
Comment on attachment 609549 [details] [diff] [review]
Fix building on case-sensitive filesystems [esr version]

[Triage Comment]
a=Standard8 for simple build system case fix on esr.
Comment 10 Mark Banner (:standard8) 2012-04-16 14:22:19 PDT
Checked in for esr:
http://hg.mozilla.org/releases/comm-esr10/rev/94677ba4bd4e

Note You need to log in before you can comment on or make changes to this bug.